using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TileScript : MonoBehaviour {

    bool isHighlighted = false;
    [SerializeField] GameObject highlightObject;
    public enum Territory { Friendly, Enemy, Neutral };
    [SerializeField] Territory currentTerritory;
    [SerializeField] CharacterScript.Affiliation currentAffiliation;

    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        highlightObject.SetActive(isHighlighted);
	}

    public GameObject GetHighlightObject()
    {
        return highlightObject;
    }

    public Territory GetCurrentTerritory()
    {
        return currentTerritory;
    }

    public CharacterScript.Affiliation GetCurrentAffiliation()
    {
        return currentAffiliation;
    }

    public bool IsHighlighted()
    {
        return isHighlighted;
    }

    public void SetHighlighted(bool highlight)
    {
         isHighlighted = highlight;
    }
}
